Bug 799728 - NM marks network connection unavailable after dhcp lease timeout
NM marks network connection unavailable after dhcp lease timeout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 12:30 EST by John Bass
Modified: 2013-02-13 08:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:53:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bass 2012-03-04 12:30:57 EST
Description of problem:

When there is a network interruptions that prevents a dhcp lease renewal, NM marks the connection unavailable/down and fails to retry later after external network problem has been resolved. This leaves EVERY dhcp client in a network offline until there is a physical intervention.


Version-Release number of selected component (if applicable):

This appears to happen in all/most releases with NM (we are running F10, F14, F15 and F16)


How reproducible:

Everytime there is a dhcp outage longer than the lease renewal period.


Steps to Reproduce:
1. Startup a dhcp client system connected to an ethernet switch with connectivity to the dhcp server.
2. disable the dhcp server access, but keep the ethernet connection to the switch stable.
3. wait for the dhcp lease to expire
  
Actual results:

the network connection will become disabled, and will not automatically resume after the dhcp server is available.


Expected results:

the dhcp client system will poll for the dhcp server periodically, and re-enable the network connection within a reasonably short time after the network outage is resolved.

Additional info:

This can AND DOES bring down every server and client in a facility requiring manual intervention to restart the network connections on every machine.

power cycling every ethernet switch in the building, will take the ethernet link down, and back up, and will restore service ... or it requires manually disabling the ethernet port from the console and re-enabling it.

this is not acceptable ... and leads to manually assigning static IP addresses for every server and client as a work-around.
Comment 1 Fedora End Of Life 2013-01-16 08:11:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:53:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.